//
//  AppDelegate.m
//  ISBankCardCameraDemo
//
//  Created by Simon Liu on 16/12/12.
//  Copyright © 2016年 xzliu. All rights reserved.
//

#import "AppDelegate.h"
#import <ISOpenSDKFoundation/ISOpenSDKFoundation.h>
#import <ISBankCard/ISBankCard.h>
#import "ISLaunchAnimateViewController.h"

#import "ISViewController.h"
#import "IntSigSDKStatus.h"

@interface AppDelegate ()<ISOpenSDKCameraViewControllerDelegate>

@property (nonatomic, weak) UIViewController *baseViewController;

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    self.window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    
    
    /*==================Please fill your appKey========================*/
    NSString *appKey = @"b584f4b1bdd3b13e7ff32eaff1-vagfvt";//this key just for test
    NSString *subAppkey = nil;//reserved for future use
    /*============================================================================*/
    ISOpenSDKCameraViewController *cameraVC = [[ISBankCardController sharedISOpenSDKController] cameraViewControllerWithAppkey:appKey subAppkey:subAppkey];
    cameraVC.needShowBackButton = NO;
    cameraVC.needShowflashLightButton = YES;  //Please put the bank card in the box  请将银行卡放在框内识别
    cameraVC.customInfo = NSLocalizedString(@"Please put the bank card in the box", @"Please put the bank card in the box");
    cameraVC.shouldHightlightCorners = YES;
    cameraVC.delegate = self;
    
    self.baseViewController = cameraVC;
    [self.window setRootViewController:cameraVC];
    [self.window makeKeyAndVisible];
    
    return YES;
}
- (void)constructResourcesDidFinishedWithStatusCode:(ISOpenSDKStatus)status//相机模块初始化SDK回调
{
    if (status != ISOpenSDKStatusSuccess)
    {
        NSLog(@"Init SDK failed with code:%ld", (long)status);
        NSString *msgStr = [IntSigSDKStatus statusAnalysis:status];
        NSString *messageString = [NSString stringWithFormat:@"[%ld]%@",(long)status,msgStr];
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"Error" message:messageString delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
        [alertView show];
        
    }
}

- (void)cameraViewController:(UIViewController *)viewController didFinishRecognizeCard:(NSDictionary *)resultInfo cardSDKType:(ISOpenPreviewSDKType)sdkType//相机模块识别结果回调
{
    if (resultInfo != nil)
    {
        ISViewController *resultVC = [[ISViewController alloc] initWithDictionary:resultInfo loadImageBool:NO];
        UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:resultVC];
        [self.baseViewController presentViewController:navigationController animated:YES completion:nil];
    }
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}



@end
