//
//  IntSigSDKStatus.m
//  ISVehicleCardReaderDemo
//
//  Created by Simon Liu on 17/2/14.
//  Copyright © 2017年 IntSig. All rights reserved.
//

#import "IntSigSDKStatus.h"

@implementation IntSigSDKStatus

+ (NSString *)statusAnalysis:(ISOpenSDKStatus )status
{
    NSArray *langAry = [NSLocale preferredLanguages];
    NSString *curtLangStr = [langAry objectAtIndex:0];

    NSString *returnStatus;
    switch (status) {
        case ISOpenSDKStatusUnauthorized:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"SDK 未授权";

            }else{
                returnStatus = @"unauthorized;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusSuccess:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"SDK 授权成功";
                
            }else{
                returnStatus = @"auth success";
            }
            
        }
            break;
        case ISOpenSDKStatusUnreachable:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"SDK 无法获取授权信息,可能是网络问题。SDK 第一次联 网验证时,没有网络连接,导致没有验证通过";
                
            }else{
                returnStatus = @"auth info unreachable, network error;Please check if your network can access the Internet";
            }
            
        }
            break;
        case ISOpenSDKStatusDeviceIDError:
        {
            
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"当前设备 ID 错误";
                
            }else{
                returnStatus = @"wrong device ID;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusAppIDError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"APP BundleID 错误,授权 APP_KEY 与绑定的 BundleID 不匹配";
                
            }else{
                returnStatus = @"wrong app ID;Please check APP_KEY, whether it is consistent with the authorization with your BundleID";
            }
        }
            break;
        case ISOpenSDKStatusAppKeyError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"APP_KEY 错误,传递的 APP_KEY 填写错误";
                
            }else{
                returnStatus = @"wrong app key;Please check BundleID, whether it is consistent with the authorization with your APP_KEY";
            }
        }
            break;
        case ISOpenSDKStatusAuthExpiredError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"超过时间限制, 授权的 APP_KEY 超出使用时间限制";
                
            }else{
                returnStatus = @"auth time expire;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusDeviceCappedError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"达到设备上限, 授权的 APP_KEY 使用设备数量达到限制";
                
            }else{
                returnStatus = @"reach device limit;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusDetectCappedError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"达到识别次数上限,授权的 APP_KEY 使用次数达到限制";
                
            }else{
                returnStatus = @"reach detect limit;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusSubAppKeyError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"错误的 sub app key,暂时无用";
                
            }else{
                returnStatus = @"wrong sub app key, unused now;Please set subAppkey to nil";
            }
        }
            break;
        case ISOpenSDKStatusUnsupportedAuthError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"其他未知的错误";
                
            }else{
                returnStatus = @"unsupported auth error;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusAuthorizeInfoError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"服务器错误, 第一次联网验证时,因服务器问题,没有验证 通过";
                
            }else{
                returnStatus = @"server return wrong authorize info;Please contact your sales staff";
            }
        }
            break;
        case ISOpenSDKStatusConstructResourceError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"初始化资源失败,暂时无用";
                
            }else{
                returnStatus = @"construct resource error, unused now";
            }
        }
            break;
        case ISOpenSDKStatusVersionError:
        {
            if ([curtLangStr isEqualToString:@"zh-Hans-CN"])
            {
                returnStatus = @"错误的SDK库";
                
            }else{
                returnStatus = @"wrong sdk type";
            }
        }
            break;
        default:
            break;
    }
    
    return returnStatus;

}
@end
