//  ISExpandableTextCell.h
//  ExpandableTextCell
//
//  Created by Simon Liu on 17/6/8.
//  Copyright © 2017年 xzliu. All rights reserved.
//


#import "ISCellTextView.h"

@protocol ISExpandableTableViewDelegate <UITableViewDelegate>

@required
- (void)tableView:(UITableView *)tableView updatedText:(NSString *)text atIndexPath:(NSIndexPath *)indexPath;

@optional
- (void)tableView:(UITableView *)tableView updatedHeight:(CGFloat)height atIndexPath:(NSIndexPath *)indexPath;

@end

#pragma mark -

@interface ISExpandableTextCell : UITableViewCell
{
    int _textCountInt;
}

@property (nonatomic, weak) UITableView *expandableTableView;
@property (nonatomic, strong, readonly) ISCellTextView *textView;
@property (nonatomic, strong, readonly) ISCellTextView *leftTextView;

@property (nonatomic, readonly) CGFloat cellHeight;
@property (nonatomic, strong) NSString *text;
@property (nonatomic, strong) NSString *leftText;


@end

#pragma mark -

@interface UITableView (ISExpandableTextCell)

// return the cell with the specified ID. It takes care of the dequeue if necessary
- (ISExpandableTextCell *)expandableTextCellWithId:(NSString *)cellId;

@end
