//
//  ISHomeViewController.m
//  ISIDReader
//
//  Created by Simon Liu on 17/3/9.
//  Copyright © 2017年 xzliu. All rights reserved.
//

#import "ISHomeViewController.h"
#import <ISBankCard/ISBankCard.h>
#import <ISOpenSDKFoundation/ISOpenSDKFoundation.h>
#import "ISViewController.h"
#import "ISDetailViewController.h"
@interface ISHomeViewController ()<ISOpenSDKCameraViewControllerDelegate>
{
    int _selectRecognType;
    int _recognInt;


}
@property (nonatomic, strong) ISOpenSDKCameraViewController *openSDKCameraVC;
@property (weak, nonatomic) IBOutlet UILabel *ocrTypeTitle;

@end

@implementation ISHomeViewController

- (void)viewWillAppear:(BOOL)animated
{
    self.navigationController.navigationBarHidden = YES;

}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.ocrTypeTitle.text = NSLocalizedString(@"Bank Card Recogition", @"Bank Card Recogition");
    
    NSString *learnMoreStr =NSLocalizedString(@"LearnMore", @"LearnMore");
    [self.learnMoreBtn setTitle:learnMoreStr forState:UIControlStateNormal];
    
    self.learnMoreBtn.layer.borderWidth = 1.0f;
    self.learnMoreBtn.layer.borderColor = [UIColor colorWithRed:42.0f/255.0f green:125.0f/255.0f blue:243.0f/255.0f alpha:1].CGColor;
    
    self.cameraBtn.layer.cornerRadius = 30.0f;
    self.ablumBtn.layer.cornerRadius = 30.0f;
    self.recognitionBtn.layer.cornerRadius = 10.0f;
    NSString *recognitionString =NSLocalizedString(@"Start Recogition", @"Start Recogition");
    [self.recognitionBtn setTitle:recognitionString forState:UIControlStateNormal];
    
    self.learnMoreBtn.tag = 1001;
    self.cameraBtn.tag = 1002;
    self.ablumBtn.tag = 1003;
    self.recognitionBtn.tag = 1003;
    
    self.universalBtn.tag = 1004;
    self.singleBtn.tag = 1005;
    self.noFramewBtn.tag = 1006;
    
    self.navigationController.navigationBarHidden = YES;


    
    [self.learnMoreBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.cameraBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.ablumBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.recognitionBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];

    [self.universalBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.singleBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.noFramewBtn addTarget:self action:@selector(clickButtonMethod:) forControlEvents:UIControlEventTouchUpInside];


}

- (void)clickButtonMethod:(UIButton *)sendBtn
{
    
    //c622b06fe06c53f27b6129cdf1-vagfvt
    NSString *appkey = @"b584f4b1bdd3b13e7ff32eaff1-vagfvt";
    NSString *subKey = nil;//reserved for future use
    NSString *hintInfo = NSLocalizedString(@"Please put the bank card in the box", @"Please put the bank card in the box");

    switch (sendBtn.tag) {
        case 1001:
        {
            ISDetailViewController *detailVC = [[ISDetailViewController alloc] init];
            [self presentViewController:detailVC animated:YES completion:nil];
        }
            break;
            
        case 1003:
        {
            _openSDKCameraVC = [[ISBankCardController sharedISOpenSDKController] cameraViewControllerWithAppkey:appkey subAppkey:subKey];
            _openSDKCameraVC.shouldHightlightCorners = YES;
            _openSDKCameraVC.customInfo = hintInfo;
            _openSDKCameraVC.customInfoFontOfSize = 18.0f;  //默认白色字体，如果不需要则不进行设置即可；
//            _openSDKCameraVC.customInfoColor = [UIColor orangeColor];//默认白色字体，如果不需要则不进行设置即可；
            _openSDKCameraVC.delegate = self;
            [self.navigationController pushViewController:_openSDKCameraVC animated:NO];
        }
            break;
        
    }

}

- (void)constructResourcesDidFinishedWithStatusCode:(ISOpenSDKStatus)status
{
    NSLog(@"Init SDK Status:%ld",(long)status);
}

- (void)cameraViewController:(UIViewController *)viewController didFinishRecognizeCard:(NSDictionary *)resultInfo cardSDKType:(ISOpenPreviewSDKType)sdkType
{
    if (resultInfo != nil)
    {
        
        ISViewController *resultVC = [[ISViewController alloc] initWithDictionary:resultInfo loadImageBool:YES];
        UINavigationController *navGCR = [[UINavigationController alloc] initWithRootViewController:resultVC];
        navGCR.modalTransitionStyle = UIModalTransitionStyleCoverVertical;
        CATransition *animation = [CATransition animation];
        animation.duration = 1.0;
        animation.timingFunction = UIViewAnimationCurveEaseInOut;
        animation.type = @"pageCurl";
        animation.subtype = kCATransitionFromLeft;
        [self.view.window.layer addAnimation:animation forKey:nil];
        [self presentViewController:navGCR animated:NO completion:nil];
        
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
